version: "3.7"

services:

  # dev stuff

  build:
    &base
    image: node:18@sha256:a80830f89f782c3e8d1749d108e38e6a40f093de8c93f0627f242a22c90abf1f
    working_dir: /app
    volumes:
      - .:/app
    command: yarn tsc --watch --project tsconfig.prod.json

  tests:
    <<: *base
    command: yarn jest --watchAll

  # app

  api:
    <<: *base
    command: yarn nodemon dist
    ports:
      - 8080:8080
